Subject: Re: randconfig build error with next-20140520, in drivers/staging/rtl8723au/core/rtw_cmd.c

From: Jes Sorensen <[email-masked]>
Date: Tue, 20 May 2014 17:23:56 +0200

Jim Davis <[email-masked]> writes:
> Building with the attached random configuration file,
>
> drivers/staging/rtl8723au/core/rtw_cmd.c: In function ‘dynamic_chk_wk_hdl’:
> drivers/staging/rtl8723au/core/rtw_cmd.c:1036:2: error: implicit declaration of
> function ‘rtl8723a_sreset_xmit_status_check’ [-Werror=implicit-function-declarat
> ion]
>   rtl8723a_sreset_xmit_status_check(padapter);
>   ^
> drivers/staging/rtl8723au/core/rtw_cmd.c:1041:2: error: implicit declaration of
> function ‘rtl8723a_HalDmWatchDog’ [-Werror=implicit-function-declaration]
>   rtl8723a_HalDmWatchDog(padapter);
>   ^
> drivers/staging/rtl8723au/core/rtw_cmd.c: In function ‘c2h_evt_hdl’:
> drivers/staging/rtl8723au/core/rtw_cmd.c:1314:4: error: implicit
> declaration of function ‘c2h_handler_8723a’
> [-Werror=implicit-function-declaration]
>     ret = c2h_handler_8723a(adapter, c2h_evt);
>     ^
> drivers/staging/rtl8723au/core/rtw_cmd.c: In function ‘rtw_evt_work’:
> drivers/staging/rtl8723au/core/rtw_cmd.c:1348:2: error: implicit
> declaration of function ‘c2h_id_filter_ccx_8723a’
> [-Werror=implicit-function-declaration]
>   if (c2h_id_filter_ccx_8723a(ework->u.c2h_evt.id) == true) {
>   ^
>   CC      drivers/staging/rtl8188eu/hal/HalHWImg8188E_MAC.o
> cc1: some warnings being treated as errors
> make[3]: *** [drivers/staging/rtl8723au/core/rtw_cmd.o] Error 1

Jim,

Thanks for the report.

I already pushed a fix for the CONFIG_8723AU_BT_COEXIST=n problem, and
the CONFIG_8723AU_AP_MODE=n case isn't causing build problems in my tree
at this point. I believe this is due to moving a number of functions
around. There were some warnings about unused functions which I fixed up
here, but nothing breaking the build.

If you don't mind, I prefer to push it all out with my next batch of
changes rather than trying to fix up this build case.

Cheers,
Jes
_______________________________________________
devel mailing list
[email-masked]
http://driverdev.linuxdriverproject.org/mailman/listinfo/driverdev-devel